[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[iaik-ssl] Jigsaw-SSL and JDK1.3.1



Hi,
	I have been using Jigsaw-SSL package with iSaSiLk
to implement a secure web server for a project I am developing.
I have been running it with Java SDK 1.2 but I recently decided 
to change the JDK to 1.3.1, which is a Early release for the Java
Developer Connection (developer.java.sun.com). I wanted to
use the HotSpot compiler in the Java 1.3. 
However, anytime I run Jigsaw-SSL using Java 1.3.1 
it keeps giving me a ClassCastException from the 
SSLSocketClientFactory class.
The error as reported from Jigsaw-SSL is:

java.lang.ClassCastException: com.sun.rsajca.JSA_RSAPrivateKey
	at org.w3c.jigsaw.http.socket.SSLSocketClientFactory.propertyChanged(SSLSocketClientFactory.java:293)
	at org.w3c.jigsaw.http.socket.SSLSocketClientFactory.initializeProperties(SSLSocketClientFactory.java:399)
	at org.w3c.jigsaw.http.socket.SSLSocketClientFactory.initialize(SSLSocketClientFactory.java:531)
	at org.w3c.jigsaw.http.httpd.initializeServerSocket(httpd.java:851)
	at org.w3c.jigsaw.http.httpd.initialize(httpd.java:1827)
	at iaik.jigsaw.https.httpsd.initialize(httpsd.java:124)
	at org.w3c.jigsaw.daemon.ServerHandlerManager.launchServerHandler(ServerHandlerManager.java:133)
	at org.w3c.jigsaw.daemon.ServerHandlerManager.<init>(ServerHandlerManager.java:226)
	at org.w3c.jigsaw.daemon.ServerHandlerManager.main(ServerHandlerManager.java:451)
	at org.w3c.jigsaw.Main.main(Main.java:15)

Jigsaw-SSL works grand on Java 1.2 but I would prefer to have 
it working on Java 1.3 because of the performance enhancements

Could anybody provide me with the solution?

Thank you

_________________________
Darragh Sherwin
yr40017@cs.may.ie

--
Mailinglist-archive at http://jcewww.iaik.at/mailarchive/iaik-ssl/sslthreads.html

To unsubscribe send an email to listserv@iaik.at with the folowing content: UNSUBSCRIBE iaik-ssl